Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
upgrade xorg 1.5 e udev > 124
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
guerro
Guru
Guru


Joined: 21 Jun 2004
Posts: 376
Location: Brescia

PostPosted: Fri Feb 20, 2009 7:58 am    Post subject: upgrade xorg 1.5 e udev > 124 Reply with quote

Ciao a tutti, volevo solo un parere:
Dite che è abbastanza sicuro fare l'upgrade dei pacchetti in oggetto alle versioni che sono ancora in "~x86"?
La mia intenzione era provare a vedere se riuscivo ad ottenere qualche miglioramento di prestazioni, senza correre troppi rischi dato che il pc portatile è utilizzato anche per lavoro...

Grazie a chiunque mi possa dare un parere :lol:
_________________
(.(*. .*).)
.. G u e r r o ..
(.(.* *.).)
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4673
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Feb 20, 2009 11:33 am    Post subject: Re: upgrade xorg 1.5 e udev > 124 Reply with quote

guerro wrote:
upgrade ... provare a vedere se riuscivo ad ottenere qualche miglioramento di prestazioni

sinceramente, non vedo una grande correlazione tra l'obiettivo e lo strumento.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Fri Feb 20, 2009 12:34 pm    Post subject: Reply with quote

usare ACCEPT_ARCH="~x86" in make.conf è una cosa cretina assai, usare i pacchetti instabili per lavorare, a meno che non ti serve proprio quella versione (in genere è importante con l'interfaccia hardware) perchè supporta quello che ti serve o perchè risolve qualche bug specifico, è ragionevolmente sicuro.
Talvolta i devel si degnano di commentare il perchè un pacchetto è mascherato, valuta bene se è il caso di usarlo; quando non ci sono commenti è probabile che semplicemente non è stato verificato, quindi non si sa se funziona.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
guerro
Guru
Guru


Joined: 21 Jun 2004
Posts: 376
Location: Brescia

PostPosted: Fri Feb 20, 2009 12:57 pm    Post subject: Reply with quote

Il mio non è un discorso generico di passare ad un'architettura instabile (lungi da me il pensiero).
La mia richiesta era strettamente mirata ai 2 pacchetti in questione e soprattutto per sapere se nonostante fossero ancora marcati instabili potevano ritenersi ragionevolmente sicuri (non creano CRASH CONTINUI o eventi/situazioni strane)....
_________________
(.(*. .*).)
.. G u e r r o ..
(.(.* *.).)
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Fri Feb 20, 2009 1:40 pm    Post subject: Reply with quote

Ti ripeto, se ti riporta masked perchè ... è sicuro che non funziona altrimenti puoi pensare di avventurarti, smascherando il minimo possibile dei pacchetti e relative dipendenze, considera che ogni nuovo ebuild è per convezione ~arch finchè non è stato verificato.
Nello specifico considera che stai parlando di un elemento essenziale del sistema.
Per prima cosa smaschera udev, fatti un backup (pacchetto binario) di udev e delle regole, verifica se va tutto bene. Se tutto va bene allora ti avventuri a mettgere su il nuovo xorg, mal che vada sono necessari pochi minuti a ripristinare alla versione stabile.
Di sicuro problemi gravi non ce ne sono ma ho letto in giro che qualche rogna legata alla configurazione od alla necessità di smascherare alcune dipendenze non implicite come hal, ricompilare mesa e pango e simili, c'è e che è meglio non far avviare automaticamente X finchè non si è certi che tutto funzioni a dovere (per esempio il touchpad smette di funzionare se non hai smascherato tutto).

Milgioramenti di prestazioni non ce ne sono per un upgrade del genere, al massimo si parla di versioni dei driver che dovrebbero risolvere alcuni problemi di compatibilità.
Io non ci penso neanche lontanamente (a parte che per il profilo che uso con il gcc 3.x non è certo raccomandato).
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
guerro
Guru
Guru


Joined: 21 Jun 2004
Posts: 376
Location: Brescia

PostPosted: Fri Feb 20, 2009 3:35 pm    Post subject: Reply with quote

ok, grazie 1000...
Allora aspetterò che sia indicato come stabile :-)
_________________
(.(*. .*).)
.. G u e r r o ..
(.(.* *.).)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum